% This "Plot_Fig11.m" can plot the stress resultants and bending moments along interface in Fig.11.
% Before press the "Run" button, please be sure 
% the file "Data_Fig11.mat" is located at the same folder as "Plot_Fig11.m" !!

clear all
clc

load('Data_Fig11.mat');     h=0.004;
% str_y={'none','$${N_{ss}} \times h$$','$${N_{nn}} \times h$$','$${N_{sn}} \times h$$','$${M_{ss}}$$','$${M_{nn}}$$','$${M_{sn}}$$',};
figure('DefaultAxesFontName','Times New Roman', 'DefaultAxesFontSize',20);  figure(1); 
id=[2,5,7];  color_id=[0,0,0;0,0.5,0;1,0,0;0.93,0.694,0.1255;0,0,1;0,0.6,0.6];
for m=1:3
    k=id(m); hp=h; if k>=5, hp=1; end    
    plot(NM1_ana_sol(:,1),NM1_ana_sol(:,k)*hp,'Color',color_id(2*m-1,:),'LineWidth',1.5);  hold on
    plot(NM2_ana_sol(:,1),NM2_ana_sol(:,k)*hp,'Color',color_id(2*m,:),'LineWidth',1.5);    hold on
    plot(NM1_scbem(:,1),NM1_scbem(:,k)*hp,'x','Color',color_id(2*m-1,:),'Linewidth',4,'MarkerSize',15);  hold on
    plot(NM2_scbem(:,1),NM2_scbem(:,k)*hp,'x','Color',color_id(2*m,:),'Linewidth',4,'MarkerSize',15);    hold on
    plot(NM1_Ansys(:,1),NM1_Ansys(:,k)*hp,'o','Color',color_id(2*m-1,:),'Linewidth',2,'MarkerSize',12);  hold on
    plot(NM2_Ansys(:,1),NM2_Ansys(:,k)*hp,'o','Color',color_id(2*m,:),'Linewidth',2,'MarkerSize',12);    xlim([0 180]);
%     str_legn={'SCBEM: Matrix','SCBEM: Inclusion','FEM: Matrix','FEM: Inclusion','Anal.: Matrix','Anal.: Inclusion'};
%     legend(str_legn,'FontSize',20,'FontName','Times New Roman');
    xlabel('$$\varphi {\rm{ ( degree)}}$$','Interpreter','latex','FontSize',20);    
end
